#include "../multidigit.h"
#include "digitstring.h"
//#define Signed NewSigned
//#define signed newsigned
class  Signed : public Digit {	
	int twobit1;
	mint twoton;
	public:	 
		declareparent 
	Signed ( Editor *ed,int b=4,int x1=0, int y1=0);	
//	Signed ( Editor *ed,int x1=0, int y1=0);
	Signed ( Signed &sig);			
	~Signed();			
	int Signed::form2bin(char *formal, unsigned char *bin, int &len);	
/*
	int chbytes(int b); 
	short chbase(short base) ;
*/
	virtual int calcsizes(void) ;
	ScreenPart *newone(void) ;
	int bin2formal(unsigned char *bin, char *formal, int len);	
	int isel(int ch);
	};
